#!/usr/bin/env bash
echo "# Copypaste your answers into this file" > setup-alpine.answers
vi setup-alpine.answers
cat setup-alpine.answers
setup-alpine -f setup-alpine.answers
reboot

apk add --update git docker docker-compose rsync tmux

# mount -t tmpfs cgroup_root /sys/fs/cgroup
# mkdir -p /sys/fs/cgroup/devices
# mount -t cgroup -o devices cgroup /sys/fs/cgroup/devices

echo "
cgroup_root  /sys/fs/cgroup  tmpfs  defaults  0  0
cgroup  /sys/fs/cgroup/devices  cgroup  defaults,devices  0  0
" >> /etc/fstab
mount /sys/fs/cgroup
mkdir -p /sys/fs/cgroup/devices
mount /sys/fs/cgroup/devices

service docker start
rc-update add docker boot

echo "# Copypaste your env into this file" > .env
vi .env
cat .env
source .env
setup-user -a -u -g audio,video,netdev,docker -k $stashbox_user_key $stashbox_username


